# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/openssl perl(Carp.pm) perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy/Recursive/Reduced.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Path/Tiny.pm) perl(Test/Simple.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name CPAN-Cpanorg-Auxiliary
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Methods used in cpan.org infrastructure
Group: Development/Perl
License: Perl
URL: http://thenceforward.net/perl/modules/CPAN-Cpanorg-Auxiliary/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JK/JKEENAN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The objective of this library is to provide methods which can be used to write
replacements for programs used on the CPAN master server and stored in
github.com in the perlorg/cpanorg and devel/cpanorg-generators
repositories.

In particular, each of those repositories has an executable program with
subroutines identical, or nearly so, to subroutines found in a program in the
other.  Those programs are:

=over 4

=item * cpanorg-generators: bin/perl-sorter.pl

=item * cpanorg: bin/cpanorg_perl_releases

=back

By extracting these subroutines into a single package, we hope to improve the
maintainability of code running on the CPAN infrastructure.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Todo README Changes LICENSE
%perl_vendor_privlib/C*

%changelog
* Tue Dec 25 2018 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

